RaisFastRaisFast

Users

Users

GET
/api/v1/users

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/users"
Empty
GET
/api/v1/users/me

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/users/me"
Empty
PUT
/api/v1/users/me

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/users/me" \  -H "Content-Type: application/json" \  -d '{}'
Empty
PUT
/api/v1/users/me/password

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/users/me/password" \  -H "Content-Type: application/json" \  -d '{    "new_password": "string",    "old_password": "string"  }'
Empty
GET
/api/v1/users/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Response Body

curl -X GET "https://example.com/api/v1/users/string"
Empty
PUT
/api/v1/users/{id}/role

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/users/string/role" \  -H "Content-Type: application/json" \  -d '{}'
Empty